-- -------------------------------------------------------------------------- --
-- CharScanner ruRU Localization                                              --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --
if GetLocale() ~= "ruRU" then return end
CharScanner_Locales:CreateLocaleTable({
-- General
--["Please read CharScanner.lua for more information."] = true,
--["Scan access via SCAN-Button, Minimap-Button, LDB, Blizzard Interface Options or '/scan' resp. '/scan options'."] = true,

-- InterfaceOptions
["Open GUI"] = "Открыть настройки",
["Show SCAN-Button"] = "Показать кнопку СКАН",
["buttonshow_desc"] = "Показывать маленькую, подвижную кнопку-СКАН, если ваша цель является игроком.",
["Lock SCAN-Button"] = "Закрепить кнопку-СКАН",
["Chat output"] = "Вывод в чат",
["chat_desc"] = "Показать сообщения в чате, после удачного сканирования.",
--["GROUP scan: Show only one chat message"] = true,
--["chatgrp_desc"] = "Shows only one chat message at end of GROUP scan instead of a chat message for each scanned character.",
["Maximum time for one scan"] = "Макс. время одного сканирования",
["scanduration_desc"] = "По умолчанию: 1 секунда\n\nЕсли установленное время достигнуто, сканирование прекращается (or the next unit is scanned in GroupScan).",
--["Minimap Button"] = true,
--["minimap_desc"] = "Shows a small movable Minimap Button.",

-- single/group scan
["Step"] = "Шаг",
["STOP SCAN"] = "СТОП СКАН",
["GroupScan finished!"] = "Скан группы закончен!",

-- talents
["No Talents"] = "Нет талантов",

-- gear
["Equipment"] = "Снаряжение",
["Avg"] = "Срд",
["min."] = "мин",
["max."] = "макс.",
["%s %s not unsed"] = "%s %s не используется",
["|4Slot:Slots;"] = "|4ячейка:ячейки:ячеек;",
["Base Stats"] = "Основные",

-- stats
--["Total"] = true,
["Achievements"] = "Достижения",
["Bosses"] = "Боссы",
["Kills"] = "Убито",
["Time"] = "Время",
["iLvl"] = "iLvl",
["T"] = "Т", -- short for Tank
["H"] = "Х", -- short for Heal
["D"] = "Д", -- short for Damage

["Classic"] = "Classic",
["BC"] = "BC",
["WotLK"] = "WotLK",
["hero"] = "Подземелья героического уровня сложности",
["raid10p"] = "10 игроков",
["Naxx10"] = "Наксрамас",-- 10 player
["Other10"] = "Другие",-- 10 player
["Ulduar10"] = "Ульдуар",-- 10 player
["TotC10Normal"] = "Испытание крестоносца",-- 10 player
["TotC10Heroic"] = "Испытание великого крестоносца",-- 10 player Heroic
["FotLK10Normal"] = "Падение Короля-лича",-- 10 player
["FotLK10Heroic"] = "Падение Короля-лича (героик)",-- 10 player Heroic
["raid25p"] = "25 игроков",
["Naxx25"] = "Наксрамас",-- 25 player
["Other25"] = "Другие",-- 25 player
["Ulduar25"] = "Ульдуар",-- 25 player
["TotC25Normal"] = "Испытание крестоносца",-- 25 player
["TotC25Heroic"] = "Испытание великого крестоносца",-- 25 player Heroic
["FotLK25Normal"] = "Падение Короля-лича",-- 25 player
["FotLK25Heroic"] = "Падение Короля-лича (героик)",-- 25 player Heroic

-- status
["scan"] = "скан",
["Scan incomplete!"] = "Сканирование незавершёно!",
["Scan is deactivated in combat!"] = "Сканирование во время боя отключается!",
["Please close AchievementFrame!"] = "Пожалуйста, закройте окно достижений!",
["Target is NOT a player!"] = "Цель НЕ игрок!",
["Target is NOT in inspect range!"] = "Цель НЕ в радиусе осмотра!",
["SCANNED AT"] = "Сканирование в",

["|4Char:Chars;"] = "|4персонаж:персонажа:персонажей;",

-- minibutton
["LOCK"] = "Закрепить",
["mover_desc"] = "[Левый-Клик] + движение: перемещение кнопки-СКАН.\n\n[Клик] по кнопке 'Закрепить': фиксирует положение кнопки-СКАН.\n\nЧтобы разблокировать кнопку, вам нужно зайти в настройки CharScanner (ESC -> Интерфейс -> Модификации -> CharScanner) и отключить 'Закрепить кнопку-СКАН'.",

-- minioptions
--["SingleScan"] = "Single Scan",
--["GroupScanAdd"] = "Group Scan (add)",
--["GroupScan"] = "Group Scan (new)",
--["Options"] = "Options",
})