-- -------------------------------------------------------------------------- --
-- CharScanner Data                                                           --
-- -------------------------------------------------------------------------- --
-- Achievement and Statistics Data                                            --
-- -------------------------------------------------------------------------- --

CharScanner_Data = {}

-- ------------------------------------------------------------------------------------------------------------------ --
-- Classic START                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data[1] = {}
CharScanner_Data[1].name = "Classic"
CharScanner_Data[1].achievement = {}
CharScanner_Data[1].achievement = {
628,  --  1 | Deadmines
629,  --  2 | Ragefire Chasm
630,  --  3 | Wailing Caverns
631,  --  4 | Shadowfang Keep
632,  --  5 | Blackfathom Deeps
633,  --  6 | Stormwind Stockade
634,  --  7 | Gnomeregan
635,  --  8 | Razorfen Kraul
636,  --  9 | Razorfen Downs
637,  -- 10 | Scarlet Monastery
638,  -- 11 | Uldaman
639,  -- 12 | Zul'Farrak
640,  -- 13 | Maraudon
641,  -- 14 | Sunken Temple
642,  -- 15 | Blackrock Depths
643,  -- 16 | Lower Blackrock Spire
644,  -- 17 | King of Dire Maul
645,  -- 18 | Scholomance
646,  -- 19 | Stratholme
--684,  -- 20 | Onyxia's Lair -- removed (Patch 3.2.2.10482) - this is now a Feats of Strength achievement named 'Onyxia's Lair (Level 60)' and no longer obtainable
685,  -- 20 | Blackwing Lair
686,  -- 21 | Molten Core
687,  -- 22 | Temple of Ahn'Qiraj
688,  -- 23 | Zul'Gurub
689,  -- 24 | Ruins of Ahn'Qiraj
1307, -- 25 | Upper Blackrock Spire
2188  -- 26 | Leeeeeeeeeeeeeroy!
}
CharScanner_Data[1].achievementTotal = #CharScanner_Data[1].achievement
CharScanner_Data[1].statistic = {}
CharScanner_Data[1].statistic = {
1091, --  1 | Edwin VanCleef kills (Deadmines)
1092, --  2 | Archmage Arugal kills (Shadowfang Keep)
1093, --  3 | Scarlet Commander Mograine kills (Scarlet Monastery)
1094, --  4 | Chief Ukorz Sandscalp kills (Zul'Farrak)
1095, --  5 | Emperor Dagran Thaurissan kills (Blackrock Depths)
1096, --  6 | General Drakkisath kills (Blackrock Spire)
1097, --  7 | Baron Rivendare kills (Stratholme)
1098, --  8 | Onyxia kills (Onyxia's Lair)
1099, --  9 | Ragnaros kills (Molten Core)
1100, -- 10 | Nefarian kills (Blackwing Lair)
1101, -- 11 | C'Thun kills (Temple of Ahn'Qiraj)
1102  -- 12 | Hakkar kills (Zul'Gurub)
}
CharScanner_Data[1].statisticTotal = #CharScanner_Data[1].statistic
CharScanner_Data[1].sync = false
-- ------------------------------------------------------------------------------------------------------------------ --
-- Classic END                                                                                                        --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- BC (Burning Crusade) START                                                                                         --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data[2] = {}
CharScanner_Data[2].name = "BC"
CharScanner_Data[2].achievement = {}
CharScanner_Data[2].achievement = {
647, --  1 | Hellfire Ramparts
648, --  2 | The Blood Furnace
649, --  3 | The Slave Pens
650, --  4 | Underbog
651, --  5 | Mana-Tombs
652, --  6 | The Escape From Durnholde
653, --  7 | Sethekk Halls
654, --  8 | Shadow Labyrinth
655, --  9 | Opening of the Dark Portal
656, -- 10 | The Steamvault
657, -- 11 | The Shattered Halls
658, -- 12 | The Mechanar
659, -- 13 | The Botanica
660, -- 14 | The Arcatraz
661, -- 15 | Magister's Terrace
666, -- 16 | Auchenai Crypts
667, -- 17 | Heroic: Hellfire Ramparts
668, -- 18 | Heroic: The Blood Furnace
669, -- 19 | Heroic: The Slave Pens
670, -- 20 | Heroic: Underbog
671, -- 21 | Heroic: Mana-Tombs
672, -- 22 | Heroic: Auchenai Crypts
673, -- 23 | Heroic: The Escape From Durnholde
674, -- 24 | Heroic: Sethekk Halls
675, -- 25 | Heroic: Shadow Labyrinth
676, -- 26 | Heroic: Opening of the Dark Portal
677, -- 27 | Heroic: The Steamvault
678, -- 28 | Heroic: The Shattered Halls
679, -- 29 | Heroic: The Mechanar
680, -- 30 | Heroic: The Botanica
681, -- 31 | Heroic: The Arcatraz
682, -- 32 | Heroic: Magister's Terrace
690, -- 33 | Karazhan
691, -- 34 | Zul'Aman
692, -- 35 | Gruul's Lair
693, -- 36 | Magtheridon's Lair
694, -- 37 | Serpentshrine Cavern
695, -- 38 | The Battle for Mount Hyjal
696, -- 39 | Tempest Keep
697, -- 40 | The Black Temple
698  -- 41 | Sunwell Plateau
}
CharScanner_Data[2].achievementTotal = #CharScanner_Data[2].achievement
CharScanner_Data[2].statistic = {}
CharScanner_Data[2].statistic = {
1068, --  1 | Keli'dan the Breaker kills (The Blood Furnace)
1069, --  2 | Nexus-Prince Shaffar kills (Mana Tombs)
1070, --  3 | Epoch Hunter kills (The Escape From Durnholde)
1071, --  4 | Quagmirran kills (Slave Pens)
1072, --  5 | Black Stalker kills (Underbog)
1073, --  6 | Exarch Maladaar kills (Auchenai Crypts)
1074, --  7 | Talon King Ikiss kills (Sethekk Halls)
1075, --  8 | Murmur kills (Shadow Labyrinth)
1076, --  9 | Aeonus kills (Opening of the Dark Portal)
1077, -- 10 | Warlord Kalithresh kills (The Steamvault)
1078, -- 11 | Warchief Kargath Bladefist kills (The Shattered Halls)
1079, -- 12 | Pathaleon the Calculator kills (The Mechanar)
1080, -- 13 | Warp Splinter kills (The Botanica)
1081, -- 14 | Harbinger Skyriss kills (The Arcatraz)
1082, -- 15 | Kael'thas Sunstrider kills (Magister's Terrace)
1083, -- 16 | Prince Malchezaar kills (Karazhan)
1084, -- 17 | Zul'jin kills (Zul'Aman)
1085, -- 18 | Gruul kills (Gruul's Lair)
1086, -- 19 | Magtheridon kills (Magtheridon's Lair)
1087, -- 20 | Lady Vashj kills (Serpentshrine Cavern)
1088, -- 21 | Kael'thas Sunstrider kills (Tempest Keep)
1089, -- 22 | Illidan Stormrage kills (The Black Temple)
1090  -- 23 | Kil'jaeden kills (Sunwell Plateau)
}
CharScanner_Data[2].statisticTotal = #CharScanner_Data[2].statistic
CharScanner_Data[2].sync = false
-- ------------------------------------------------------------------------------------------------------------------ --
-- BC (Burning Crusade) END                                                                                           --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- WotLK (Wrath of the Lich King) START                                                                               --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_Data[3] = {}
CharScanner_Data[3].name = "WotLK"

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - Heroic Dungeons START                                                                  --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data[3][1] = {}
CharScanner_Data[3][1].name = "hero"
CharScanner_Data[3][1].achievement = {}
CharScanner_Data[3][1].achievement = {
489,  --  1 | Heroic: Utgarde Keep
490,  --  2 | Heroic: The Nexus
491,  --  3 | Heroic: Azjol-Nerub
492,  --  4 | Heroic: Ahn'kahet: The Old Kingdom
493,  --  5 | Heroic: Drak'Tharon Keep
494,  --  6 | Heroic: The Violet Hold
495,  --  7 | Heroic: Gundrak
496,  --  8 | Heroic: Halls of Stone
497,  --  9 | Heroic: Halls of Lightning
498,  -- 10 | Heroic: The Oculus
499,  -- 11 | Heroic: Utgarde Pinnacle
500,  -- 12 | Heroic: The Culling of Stratholme
1296, -- 13 | Watch Him Die
1297, -- 14 | Hadronox Denied
1816, -- 15 | Defenseless
1817, -- 16 | The Culling of Time
1834, -- 17 | Lightning Struck
1860, -- 18 | Gotta Go!
--1861, -- 19 | The Party's Over -- removed (Patch 3.3.0.10958)
1862, -- 19 | Volazj's Quick Demise
1864, -- 20 | What the Eck?
1865, -- 21 | Lockdown!
1866, -- 22 | Good Grief
1867, -- 23 | Timely Death
1868, -- 24 | Make It Count
1871, -- 25 | Experienced Drake Rider
1872, -- 26 | Zombiefest!
1873, -- 27 | Lodi Dodi We Loves the Skadi
1919, -- 28 | On The Rocks
2036, -- 29 | Intense Cold
2037, -- 30 | Chaos Theory
2038, -- 31 | Respect Your Elders
2039, -- 32 | Better Off Dred
2040, -- 33 | Less-rabi
2041, -- 34 | Dehydration
2042, -- 35 | Shatter Resistant
2043, -- 36 | The Incredible Hulk
2044, -- 37 | Ruby Void
2045, -- 38 | Emerald Void
2046, -- 39 | Amber Void
2056, -- 40 | Volunteer Work
2057, -- 41 | Oh Novos!
2058, -- 42 | Snakes. Why'd It Have To Be Snakes?
2150, -- 43 | Split Personality
2151, -- 44 | Consumption Junction
2152, -- 45 | Share The Love
2153, -- 46 | A Void Dance
2154, -- 47 | Brann Spankin' New
2155, -- 48 | Abuse the Ooze
2156, -- 49 | My Girl Loves to Skadi All the Time
2157, -- 50 | King's Bane
3802, -- 51 | Argent Confessor (Trial of the Champion)
3803, -- 52 | The Faceroller (Trial of the Champion)
3804, -- 53 | I've Had Worse (Trial of the Champion)
9999, -- 54 | DUMMY -> check 'DUMMY_FactionFix' in CharScanner.lua
--4297 -- 54 | HORDE    (same text) -> Heroic: Trial of the Champion
--4298 -- 54 | ALLIANCE (same text) -> Heroic: Trial of the Champion
4476, -- 55 | Looking For More (Random Lich King (heroic) dungeon) -- added (Patch 3.3.0.10958)
4477, -- 56 | Looking For Many (Random Lich King (heroic) dungeon) -- added (Patch 3.3.0.10958)
4478, -- 57 | Looking For Multitudes (Random Lich King (heroic) dungeon) -- added (Patch 3.3.0.10958)
4522, -- 58 | Soul Power (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4523, -- 59 | Three Faced (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4524, -- 60 | Doesn't Go to Eleven (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4525, -- 61 | Don't Look Up (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4526  -- 62 | We're Not Retreating; We're Advancing in a Different Direction. (Heroic Halls of Reflection) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][1].achievementTotal = #CharScanner_Data[3][1].achievement
CharScanner_Data[3][1].statistic = {}
CharScanner_Data[3][1].statistic = {
1504, --  1 | Ingvar the Plunderer kills (Heroic Utgarde Keep)
1505, --  2 | Keristrasza kills (Heroic Nexus)
1506, --  3 | Anub'arak kills (Heroic Azjol-Nerub)
1507, --  4 | Herald Volazj kills (Heroic Ahn'kahet)
1508, --  5 | The Prophet Tharon'ja kills (Heroic Drak'Tharon Keep)
1509, --  6 | Cyanigosa kills (Heroic Violet Hold)
1510, --  7 | Gal'darah kills (Heroic Gundrak)
1511, --  8 | Sjonnir the Ironshaper kills (Heroic Halls of Stone)
1512, --  9 | Loken kills (Heroic Halls of Lightning)
1513, -- 10 | Ley-Guardian Eregos kills (Heroic Oculus)
1514, -- 11 | King Ymiron kills (Heroic Utgarde Pinnacle)
1515, -- 12 | Mal'Ganis defeated (Heroic CoT: Stratholme)
4027, -- 13 | The Black Knight kills (Heroic Trial of the Champion)
4716, -- 14 | Devourer of Souls kills (Heroic Forge of Souls) -- added (Patch 3.3.0.10958)
4721, -- 15 | Scourgelord Tyrannus kills (Heroic Pit of Saron) -- added (Patch 3.3.0.10958)
4727  -- 16 | Lich King escapes (Heroic Halls of Reflection) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][1].statisticTotal = #CharScanner_Data[3][1].statistic
CharScanner_Data[3][1].sync = false
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - Heroic Dungeons END                                                                    --
-- ---------------------------------------------------------------------------------------------- --

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 10 player raid START                                                                   --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data[3][2] = {}
CharScanner_Data[3][2].name = "raid10p"

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Naxxramas START                                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][1] = {}
CharScanner_Data[3][2][1].name = "Naxx10"
CharScanner_Data[3][2][1].achievement = {}
CharScanner_Data[3][2][1].achievement = {
562,  --  1 | The Arachnid Quarter
564,  --  2 | The Construct Quarter
566,  --  3 | The Plague Quarter
568,  --  4 | The Military Quarter
572,  --  5 | Sapphiron's Demise
574,  --  6 | Kel'Thuzad's Defeat
576,  --  7 | The Fall of Naxxramas
578,  --  8 | The Dedicated Few
1856, --  9 | Make Quick Werk Of Him
1858, -- 10 | Arachnophobia
1996, -- 11 | The Safety Dance
1997, -- 12 | Momma Said Knock You Out
2146, -- 13 | The Hundred Club
2176, -- 14 | And They Would All Go Down Together
2178, -- 15 | Shocking!
2180, -- 16 | Subtraction
2182, -- 17 | Spore Loser
2184, -- 18 | Just Can't Get Enough
2187  -- 19 | The Undying
}
CharScanner_Data[3][2][1].achievementTotal = #CharScanner_Data[3][2][1].achievement
CharScanner_Data[3][2][1].statistic = {}
CharScanner_Data[3][2][1].statistic = {
1361, --  1 | Anub'Rekhan kills (Naxxramas 10 player)
1362, --  2 | Grand Widow Faerlina kills (Naxxramas 10 player)
1363, --  3 | Maexxna kills (Naxxramas 10 player)
1364, --  4 | Patchwerk kills (Naxxramas 10 player)
1371, --  5 | Grobbulus kills (Naxxramas 10 player)
1372, --  6 | Gluth kills (Naxxramas 10 player)
1373, --  7 | Thaddius kills (Naxxramas 10 player)
1365, --  8 | Noth the Plaguebringer kills (Naxxramas 10 player)
1369, --  9 | Heigan the Unclean kills (Naxxramas 10 player)
1370, -- 10 | Loatheb kills (Naxxramas 10 player)
1374, -- 11 | Instructor Razuvious kills (Naxxramas 10 player)
1366, -- 12 | Gothik the Harvester kills (Naxxramas 10 player)
1375, -- 13 | Four Horsemen kills (Naxxramas 10 player)
1376, -- 14 | Sapphiron kills (Naxxramas 10 player)
1377  -- 15 | Kel'Thuzad kills (Naxxramas 10 player)
}
CharScanner_Data[3][2][1].statisticTotal = #CharScanner_Data[3][2][1].statistic
CharScanner_Data[3][2][1].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Naxxramas END                                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Other START                                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][2] = {}
CharScanner_Data[3][2][2].name = "Other10"
CharScanner_Data[3][2][2].achievement = {}
CharScanner_Data[3][2][2].achievement = {
622,  --  1 | Malygos    | The Spellweaver's Downfall
624,  --  2 | Sartharion | Less Is More
1869, --  3 | Malygos    | A Poke In The Eye
1874, --  4 | Malygos    | You Don't Have An Eternity
1876, --  5 | Sartharion | Besting the Black Dragonflight
2047, --  6 | Sartharion | Gonna Go When the Volcano Blows
2049, --  7 | Sartharion | Twilight Assist
2050, --  8 | Sartharion | Twilight Duo
2051, --  9 | Sartharion | The Twilight Zone
2148, -- 10 | Malygos    | Denyin' the Scion
4016, -- 11 | Archavon/Emalon/Koralon | Earth, Wind & Fire (10 player)
4396, -- 12 | Onyxia     | Onyxia's Lair (10 player) -- added (Patch 3.2.2.10482)
4402, -- 13 | Onyxia     | More Dots! (10 player) -- added (Patch 3.2.2.10482)
4403, -- 14 | Onyxia     | Many Whelps! Handle It! (10 player) -- added (Patch 3.2.2.10482)
4404  -- 15 | Onyxia     | She Deep Breaths More (10 player) -- added (Patch 3.2.2.10482)
}
CharScanner_Data[3][2][2].achievementTotal = #CharScanner_Data[3][2][2].achievement
CharScanner_Data[3][2][2].statistic = {}
CharScanner_Data[3][2][2].statistic = {
1391, --  1 | Malygos kills (10 player)
1392, --  2 | Sartharion kills (Chamber of the Aspects 10 player)
1753, --  3 | Archavon the Stone Watcher kills (Wintergrasp 10 player)
2870, --  4 | Emalon the Storm Watcher kills (Wintergrasp 10 player)
4074  --  5 | Koralon the Flame Watcher kills (Wintergrasp 10 player)
--4657--  6 | Toravon the Ice Watcher kills (Wintergrasp 10 player) -- coming soon...
}
CharScanner_Data[3][2][2].statisticTotal = #CharScanner_Data[3][2][2].statistic
CharScanner_Data[3][2][2].sync = {}
CharScanner_Data[3][2][2].sync = {
[1] = {statid = 1391, achievementsyncid = {622, 1869, 1874, 2148}},             --  1 | Malygos (10 player)
[2] = {statid = 1392, achievementsyncid = {624, 1876, 2047, 2049, 2050, 2051}}, --  2 | Sartharion (Chamber of the Aspects 10 player)
[3] = {statid = 1753, achievementsyncid = {4016}},                              --  3 | Archavon the Stone Watcher (Wintergrasp 10 player)
[4] = {statid = 2870, achievementsyncid = {4016}},                              --  4 | Emalon the Storm Watcher (Wintergrasp 10 player)
[5] = {statid = 4074, achievementsyncid = {4016}}                               --  5 | Koralon the Flame Watcher (Wintergrasp 10 player)
}
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Other END                                         --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Ulduar START                                      --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][3] = {}
CharScanner_Data[3][2][3].name = "Ulduar10"
CharScanner_Data[3][2][3].achievement = {}
CharScanner_Data[3][2][3].achievement = {
2886, --  1 | The Siege of Ulduar
2888, --  2 | The Antechamber of Ulduar
2890, --  3 | The Keepers of Ulduar
2892, --  4 | The Descent into Madness
2894, --  5 | The Secrets of Ulduar
2903, --  6 | Champion of Ulduar
2905, --  7 | Unbroken
2907, --  8 | Three Car Garage
2909, --  9 | Take Out Those Turrets
2911, -- 10 | Shutout
2913, -- 11 | Orbital Bombardment
2914, -- 12 | Orbital Devastation
2915, -- 13 | Nuked from Orbit
2919, -- 14 | A Quick Shave
2923, -- 15 | Iron Dwarf, Medium Rare
2925, -- 16 | Shattered
2927, -- 17 | Hot Pocket
2930, -- 18 | Stokin' the Furnace
2931, -- 19 | Nerf Engineering
2933, -- 20 | Nerf Scrapbots
2934, -- 21 | Nerf Gravity Bombs
2937, -- 22 | Must Deconstruct Faster
2939, -- 23 | I Choose You, Runemaster Molgeim
2940, -- 24 | I Choose You, Stormcaller Brundir
2941, -- 25 | I Choose You, Steelbreaker
2945, -- 26 | But I'm on Your Side
2947, -- 27 | Can't Do That While Stunned
2951, -- 28 | With Open Arms
2953, -- 29 | Disarmed
2955, -- 30 | If Looks Could Kill
2959, -- 31 | Rubble and Roll
2961, -- 32 | Cheese the Freeze
2963, -- 33 | I Have the Coolest Friends
2967, -- 34 | Getting Cold in Here
2969, -- 35 | Staying Buffed All Winter
2971, -- 36 | Don't Stand in the Lightning
2973, -- 37 | I'll Take You All On
2975, -- 38 | Who Needs Bloodlust?
2977, -- 39 | Siffed
2979, -- 40 | Lumberjacked
2980, -- 41 | Con-speed-atory
2982, -- 42 | Getting Back to Nature
2985, -- 43 | Deforestation
2989, -- 44 | Set Up Us the Bomb
2996, -- 45 | Shadowdodger
3003, -- 46 | Supermassive
3004, -- 47 | He Feeds On Your Tears
3006, -- 48 | Crazy Cat Lady
3008, -- 49 | Drive Me Crazy
3009, -- 50 | Kiss and Make Up
3012, -- 51 | He's Not Getting Any Older
3014, -- 52 | They're Coming Out of the Walls
3015, -- 53 | In His House He Waits Dreaming
3036, -- 54 | Observed
3056, -- 55 | Orbit-uary
3058, -- 56 | Heartbreaker
3076, -- 57 | Nine Lives
3097, -- 58 | Dwarfageddon
3138, -- 59 | Not-So-Friendly Fire
3141, -- 60 | Two Lights in the Darkness
3157, -- 61 | Three Lights in the Darkness
3158, -- 62 | One Light in the Darkness
3159, -- 63 | Alone in the Darkness
3176, -- 64 | Lose Your Illusion
3177, -- 65 | Knock on Wood
3178, -- 66 | Knock, Knock on Wood
3179, -- 67 | Knock, Knock, Knock on Wood
3180, -- 68 | Firefighter
3181, -- 69 | I Love the Smell of Saronite in the Morning
3182, -- 70 | I Could Say That This Cache Was Rare
3316  -- 71 | Herald of the Titans
}
CharScanner_Data[3][2][3].achievementTotal = #CharScanner_Data[3][2][3].achievement
CharScanner_Data[3][2][3].statistic = {}
CharScanner_Data[3][2][3].statistic = {
2856, --  1 | Flame Leviathan kills (Ulduar 10 player)
2857, --  2 | Razorscale kills (Ulduar 10 player)
2858, --  3 | Ignis the Furnace Master kills (Ulduar 10 player)
2859, --  4 | XT-002 Deconstructor kills (Ulduar 10 player)
2860, --  5 | Assembly of Iron kills (Ulduar 10 player)
2861, --  6 | Kologarn kills (Ulduar 10 player)
2868, --  7 | Auriaya kills (Ulduar 10 player)
2862, --  8 | Hodir victories (Ulduar 10 player)
2863, --  9 | Thorim victories (Ulduar 10 player)
2864, -- 10 | Freya victories (Ulduar 10 player)
2865, -- 11 | Mimiron victories (Ulduar 10 player)
2866, -- 12 | General Vezax kills (Ulduar 10 player)
2869, -- 13 | Yogg-Saron kills (Ulduar 10 player)
2867  -- 14 | Algalon the Observer kills (Ulduar 10 player)
}
CharScanner_Data[3][2][3].statisticTotal = #CharScanner_Data[3][2][3].statistic
CharScanner_Data[3][2][3].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Ulduar END                                        --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Crusader (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][4] = {}
CharScanner_Data[3][2][4].name = "TotC10Normal"
CharScanner_Data[3][2][4].achievement = {}
CharScanner_Data[3][2][4].achievement = {
3797, --  1 | Upper Back Pain (10 player)
3798, --  2 | Resilience Will Fix It (10 player)
3799, --  3 | Salt and Pepper (10 player)
3800, --  4 | The Traitor King (10 player)
3936, --  5 | Not One, But Two Jormungars (10 player)
3996, --  6 | Three Sixty Pain Spike (10 player)
3917  --  7 | Call of the Crusade (10 player)
}
CharScanner_Data[3][2][4].achievementTotal = #CharScanner_Data[3][2][4].achievement
CharScanner_Data[3][2][4].statistic = {}
CharScanner_Data[3][2][4].statistic = {
4028, -- 1 | Victories over the Beasts of Northrend (Trial of the Crusader 10 player)
4032, -- 2 | Lord Jaraxxus kills (Trial of the Crusader 10 player)
4036, -- 3 | Victories over the Faction Champions (Trial of the Crusader 10 player)
4040, -- 4 | Val'kyr Twins kills (Trial of the Crusader 10 player)
4044  -- 5 | Times completed the Trial of the Crusader (10 player)
}
CharScanner_Data[3][2][4].statisticTotal = #CharScanner_Data[3][2][4].statistic
CharScanner_Data[3][2][4].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Crusader (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Grand Crusader (hero) START          --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][5] = {}
CharScanner_Data[3][2][5].name = "TotC10Heroic"
CharScanner_Data[3][2][5].achievement = {}
CharScanner_Data[3][2][5].achievement = {
3918, -- 1 | Call of the Grand Crusade (10 player)
3808, -- 2 | A Tribute to Skill (10 player)
3809, -- 3 | A Tribute to Mad Skill (10 player)
3810, -- 4 | A Tribute to Insanity (10 player)
4080  -- 5 | A Tribute to Dedicated Insanity
}
CharScanner_Data[3][2][5].achievementTotal = #CharScanner_Data[3][2][5].achievement
CharScanner_Data[3][2][5].statistic = {}
CharScanner_Data[3][2][5].statistic = {
4030, -- 1 | Victories over the Beasts of Northrend (Trial of the Grand Crusader 10 player)
4033, -- 2 | Lord Jaraxxus kills (Trial of the Grand Crusader 10 player)
4037, -- 3 | Victories over the Faction Champions (Trial of the Grand Crusader 10 player)
4041, -- 4 | Val'kyr Twins kills (Trial of the Grand Crusader 10 player)
4045  -- 5 | Times completed the Trial of the Grand Crusader (10 player)
}
CharScanner_Data[3][2][5].statisticTotal = #CharScanner_Data[3][2][5].statistic
CharScanner_Data[3][2][5].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Trial of the Grand Crusader (hero) END            --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Fall of the Lich King (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][6] = {}
CharScanner_Data[3][2][6].name = "FotLK10Normal"
CharScanner_Data[3][2][6].achievement = {}
CharScanner_Data[3][2][6].achievement = {
4534, --  1 | Boned (10 player) -- added (Patch 3.3.0.10958)
4535, --  2 | Full House (10 player) -- added (Patch 3.3.0.10958)
4536, --  3 | I'm on a Boat (10 player) -- added (Patch 3.3.0.10958)
4537, --  4 | I've Gone and Made a Mess (10 player) -- added (Patch 3.3.0.10958)
4538, --  5 | Dances with Oozes (10 player) -- added (Patch 3.3.0.10958)
4577, --  6 | Flu Shot Shortage (10 player) -- added (Patch 3.3.0.10958)
4578, --  7 | Nausea, Heartburn, Indigestion... (10 player) -- added (Patch 3.3.0.10958)
4582, --  8 | The Orb Whisperer (10 player) -- added (Patch 3.3.0.10958)
4539, --  9 | Once Bitten, Twice Shy (10 player) -- added (Patch 3.3.0.10958)
4579, -- 10 | Portal Jockey (10 player) -- added (Patch 3.3.0.10958)
4580, -- 11 | All You Can Eat (10 player) -- added (Patch 3.3.0.10958)
4601, -- 12 | Been Waiting a Long Time for This (10 player) -- added (Patch 3.3.0.10958)
4581  -- 13 | Neck-Deep in Vile (10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][2][6].achievementTotal = #CharScanner_Data[3][2][6].achievement
CharScanner_Data[3][2][6].statistic = {}
CharScanner_Data[3][2][6].statistic = {
4639, --  1 | Lord Marrowgar kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4643, --  2 | Lady Deathwhisper kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4644, --  3 | Gunship Battle victories (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4645, --  4 | Deathbringer kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4646, --  5 | Festergut kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4647, --  6 | Rotface kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4650, --  7 | Professor Putricide kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4648, --  8 | Blood Prince Council kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4651, --  9 | Blood Queen Lana'thel kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4649, -- 10 | Valithria Dreamwalker rescues (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4652, -- 11 | Sindragosa kills (Icecrown 10 player) -- added (Patch 3.3.0.10958)
4653, -- 12 | Victories over the Lich King (Icecrown 10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][2][6].statisticTotal = #CharScanner_Data[3][2][6].statistic
CharScanner_Data[3][2][6].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Fall of the Lich King (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Fall of the Lich King (hero) START                --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2][7] = {}
CharScanner_Data[3][2][7].name = "FotLK10Heroic"
CharScanner_Data[3][2][7].achievement = {}
CharScanner_Data[3][2][7].achievement = {
4628, --  1 | Heroic: Storming the Citadel (10 player) -- added (Patch 3.3.0.10958)
4629, --  2 | Heroic: The Plagueworks (10 player) -- added (Patch 3.3.0.10958)
4630, --  3 | Heroic: The Crimson Hall (10 player) -- added (Patch 3.3.0.10958)
4631, --  4 | Heroic: The Frostwing Halls (10 player) -- added (Patch 3.3.0.10958)
4636  --  5 | Heroic: Fall of the Lich King (10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][2][7].achievementTotal = #CharScanner_Data[3][2][7].achievement
CharScanner_Data[3][2][7].statistic = {}
CharScanner_Data[3][2][7].statistic = {
4640, --  1 | Lord Marrowgar kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4654, --  2 | Lady Deathwhisper kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4659, --  3 | Gunship Battle victories (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4662, --  4 | Deathbringer kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4665, --  5 | Festergut kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4668, --  6 | Rotface kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4677, --  7 | Professor Putricide kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4671, --  8 | Blood Prince Council kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4680, --  9 | Blood Queen Lana'thel kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4674, -- 10 | Valithria Dreamwalker rescues (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4683, -- 11 | Sindragosa kills (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
4686  -- 12 | Victories over the Lich King (Heroic Icecrown 10 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][2][7].statisticTotal = #CharScanner_Data[3][2][7].statistic
CharScanner_Data[3][2][7].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 10 player raid - Fall of the Lich King (hero) END                  --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][2].achievementTotal = 0
CharScanner_Data[3][2].statisticTotal   = 0
for i = 1, #CharScanner_Data[3][2] do
	CharScanner_Data[3][2].achievementTotal = CharScanner_Data[3][2].achievementTotal + CharScanner_Data[3][2][i].achievementTotal
	CharScanner_Data[3][2].statisticTotal   = CharScanner_Data[3][2].statisticTotal   + CharScanner_Data[3][2][i].statisticTotal
end
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 10 player raid END                                                                     --
-- ---------------------------------------------------------------------------------------------- --

-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 25 player raid START                                                                   --
-- ---------------------------------------------------------------------------------------------- --
CharScanner_Data[3][3] = {}
CharScanner_Data[3][3].name = "raid25p"

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Naxxramas START                                   --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][1] = {}
CharScanner_Data[3][3][1].name = "Naxx25"
CharScanner_Data[3][3][1].achievement = {}
CharScanner_Data[3][3][1].achievement = {
563,  --  1 | Heroic: The Arachnid Quarter
565,  --  2 | Heroic: The Construct Quarter
567,  --  3 | Heroic: The Plague Quarter
569,  --  4 | Heroic: The Military Quarter
573,  --  5 | Heroic: Sapphiron's Demise
575,  --  6 | Heroic: Kel'Thuzad's Defeat
577,  --  7 | Heroic: The Fall of Naxxramas
579,  --  8 | Heroic: The Dedicated Few
1857, --  9 | Heroic: Make Quick Werk Of Him
1859, -- 10 | Heroic: Arachnophobia
2139, -- 11 | Heroic: The Safety Dance
2140, -- 12 | Heroic: Momma Said Knock You Out
2147, -- 13 | Heroic: The Hundred Club
2177, -- 14 | Heroic: And They Would All Go Down Together
2179, -- 15 | Heroic: Shocking!
2181, -- 16 | Heroic: Subtraction
2183, -- 17 | Heroic: Spore Loser
2185, -- 18 | Heroic: Just Can't Get Enough
2186  -- 19 | The Immortal
}
CharScanner_Data[3][3][1].achievementTotal = #CharScanner_Data[3][3][1].achievement
CharScanner_Data[3][3][1].statistic = {}
CharScanner_Data[3][3][1].statistic = {
1368, --  1 | Anub'Rekhan kills (Naxxramas 25 player)
1380, --  2 | Grand Widow Faerlina kills (Naxxramas 25 player)
1386, --  3 | Maexxna kills (Naxxramas 25 player)
1367, --  4 | Patchwerk kills (Naxxramas 25 player)
1381, --  5 | Grobbulus kills (Naxxramas 25 player)
1378, --  6 | Gluth kills (Naxxramas 25 player)
1388, --  7 | Thaddius kills (Naxxramas 25 player)
1387, --  8 | Noth the Plaguebringer kills (Naxxramas 25 player)
1382, --  9 | Heigan the Unclean kills (Naxxramas 25 player)
1385, -- 10 | Loatheb kills (Naxxramas 25 player)
1384, -- 11 | Instructor Razuvious kills (Naxxramas 25 player)
1379, -- 12 | Gothik the Harvester kills (Naxxramas 25 player)
1383, -- 13 | Four Horsemen kills (Naxxramas 25 player)
1389, -- 14 | Sapphiron kills (Naxxramas 25 player)
1390  -- 15 | Kel'Thuzad kills (Naxxramas 25 player)
}
CharScanner_Data[3][3][1].statisticTotal = #CharScanner_Data[3][3][1].statistic
CharScanner_Data[3][3][1].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Naxxramas END                                     --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Other START                                       --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][2] = {}
CharScanner_Data[3][3][2].name = "Other25"
CharScanner_Data[3][3][2].achievement = {}
CharScanner_Data[3][3][2].achievement = {
623,  --  1 | Malygos    | Heroic: The Spellweaver's Downfall
625,  --  2 | Sartharion | Heroic: Besting the Black Dragonflight
1870, --  3 | Malygos    | Heroic: A Poke In The Eye
1875, --  4 | Malygos    | Heroic: You Don't Have An Eternity
1877, --  5 | Sartharion | Heroic: Less Is More
2048, --  6 | Sartharion | Heroic: Gonna Go When the Volcano Blows
2052, --  7 | Sartharion | Heroic: Twilight Assist
2053, --  8 | Sartharion | Heroic: Twilight Duo
2054, --  9 | Sartharion | Heroic: The Twilight Zone
2149, -- 10 | Malygos    | Heroic: Denyin' the Scion
4017, -- 11 | Archavon/Emalon/Koralon | Earth, Wind & Fire (25 player)
4397, -- 12 | Onyxia     | Onyxia's Lair (25 player) -- added (Patch 3.2.2.10482)
4405, -- 13 | Onyxia     | More Dots! (25 player) -- added (Patch 3.2.2.10482)
4406, -- 14 | Onyxia     | Many Whelps! Handle It! (25 player) -- added (Patch 3.2.2.10482)
4407  -- 15 | Onyxia     | She Deep Breaths More (25 player) -- added (Patch 3.2.2.10482)
}
CharScanner_Data[3][3][2].achievementTotal = #CharScanner_Data[3][3][2].achievement
CharScanner_Data[3][3][2].statistic = {}
CharScanner_Data[3][3][2].statistic = {
1394, --  1 | Malygos kills (25 player)
1393, --  2 | Sartharion kills (Chamber of the Aspects 25 player)
1754, --  3 | Archavon the Stone Watcher kills (Wintergrasp 25 player)
3236, --  4 | Emalon the Storm Watcher kills (Wintergrasp 25 player)
4075  --  5 | Koralon the Flame Watcher kills (Wintergrasp 25 player)
--4658--  6 | Toravon the Ice Watcher kills (Wintergrasp 10 player) -- coming soon...
}
CharScanner_Data[3][3][2].statisticTotal = #CharScanner_Data[3][3][2].statistic
CharScanner_Data[3][3][2].sync = {}
CharScanner_Data[3][3][2].sync = {
[1] = {statid = 1394, achievementsyncid = {623, 1870, 1875, 2149}},             --  1 | Malygos (25 player)
[2] = {statid = 1393, achievementsyncid = {625, 1877, 2048, 2052, 2053, 2054}}, --  2 | Sartharion (Chamber of the Aspects 25 player)
[3] = {statid = 1754, achievementsyncid = {4017}},                              --  3 | Archavon the Stone Watcher (Wintergrasp 25 player)
[4] = {statid = 3236, achievementsyncid = {4017}},                              --  4 | Emalon the Storm Watcher (Wintergrasp 25 player)
[5] = {statid = 4075, achievementsyncid = {4017}}                               --  5 | Koralon the Flame Watcher (Wintergrasp 25 player)
}
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Other END                                         --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Ulduar START                                      --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][3] = {}
CharScanner_Data[3][3][3].name = "Ulduar25"
CharScanner_Data[3][3][3].achievement = {}
CharScanner_Data[3][3][3].achievement = {
2887, --  1 | Heroic: The Siege of Ulduar
2889, --  2 | Heroic: The Antechamber of Ulduar
2891, --  3 | Heroic: The Keepers of Ulduar
2893, --  4 | Heroic: The Descent into Madness
2895, --  5 | Heroic: The Secrets of Ulduar
2904, --  6 | Conqueror of Ulduar
2906, --  7 | Heroic: Unbroken
2908, --  8 | Heroic: Three Car Garage
2910, --  9 | Heroic: Take Out Those Turrets
2912, -- 10 | Heroic: Shutout
2916, -- 11 | Heroic: Orbital Devastation
2917, -- 12 | Heroic: Nuked from Orbit
2918, -- 13 | Heroic: Orbital Bombardment
2921, -- 14 | Heroic: A Quick Shave
2924, -- 15 | Heroic: Iron Dwarf, Medium Rare
2926, -- 16 | Heroic: Shattered
2928, -- 17 | Heroic: Hot Pocket
2929, -- 18 | Heroic: Stokin' the Furnace
2932, -- 19 | Heroic: Nerf Engineering
2935, -- 20 | Heroic: Nerf Scrapbots
2936, -- 21 | Heroic: Nerf Gravity Bombs
2938, -- 22 | Heroic: Must Deconstruct Faster
2942, -- 23 | Heroic: I Choose You, Runemaster Molgeim
2943, -- 24 | Heroic: I Choose You, Stormcaller Brundir
2944, -- 25 | Heroic: I Choose You, Steelbreaker
2946, -- 26 | Heroic: But I'm on Your Side
2948, -- 27 | Heroic: Can't Do That While Stunned
2952, -- 28 | Heroic: With Open Arms
2954, -- 29 | Heroic: Disarmed
2956, -- 30 | Heroic: If Looks Could Kill
2960, -- 31 | Heroic: Rubble and Roll
2962, -- 32 | Heroic: Cheese the Freeze
2965, -- 33 | Heroic: I Have the Coolest Friends
2968, -- 34 | Heroic: Getting Cold in Here
2970, -- 35 | Heroic: Staying Buffed All Winter
2972, -- 36 | Heroic: Don't Stand in the Lightning
2974, -- 37 | Heroic: I'll Take You All On
2976, -- 38 | Heroic: Who Needs Bloodlust?
2978, -- 39 | Heroic: Siffed
2981, -- 40 | Heroic: Con-speed-atory
2983, -- 41 | Heroic: Getting Back to Nature
2984, -- 42 | Heroic: Deforestation
2995, -- 43 | Heroic: Not-So-Friendly Fire
2997, -- 44 | Heroic: Shadowdodger
3002, -- 45 | Heroic: Supermassive
3005, -- 46 | Heroic: He Feeds On Your Tears
3007, -- 47 | Heroic: Crazy Cat Lady
3010, -- 48 | Heroic: Drive Me Crazy
3011, -- 49 | Heroic: Kiss and Make Up
3013, -- 50 | Heroic: He's Not Getting Any Older
3016, -- 51 | Heroic: In His House He Waits Dreaming
3017, -- 52 | Heroic: They're Coming Out of the Walls
3037, -- 53 | Heroic: Observed
3057, -- 54 | Heroic: Orbit-uary
3059, -- 55 | Heroic: Heartbreaker
3077, -- 56 | Heroic: Nine Lives
3098, -- 57 | Heroic: Dwarfageddon
3118, -- 58 | Heroic: Lumberjacked
3161, -- 59 | Heroic: Three Lights in the Darkness
3162, -- 60 | Heroic: Two Lights in the Darkness
3163, -- 61 | Heroic: One Light in the Darkness
3164, -- 62 | Heroic: Alone in the Darkness
3183, -- 63 | Heroic: Lose Your Illusion
3184, -- 64 | Heroic: I Could Say That This Cache Was Rare
3185, -- 65 | Heroic: Knock on Wood
3186, -- 66 | Heroic: Knock, Knock on Wood
3187, -- 67 | Heroic: Knock, Knock, Knock on Wood
3188, -- 68 | Heroic: I Love the Smell of Saronite in the Morning
3189, -- 69 | Heroic: Firefighter
3237  -- 70 | Heroic: Set Up Us the Bomb
}
CharScanner_Data[3][3][3].achievementTotal = #CharScanner_Data[3][3][3].achievement
CharScanner_Data[3][3][3].statistic = {}
CharScanner_Data[3][3][3].statistic = {
2872, --  1 | Flame Leviathan kills (Ulduar 25 player)
2873, --  2 | Razorscale kills (Ulduar 25 player)
2874, --  3 | Ignis the Furnace Master kills (Ulduar 25 player)
2884, --  4 | XT-002 Deconstructor kills (Ulduar 25 player)
2885, --  5 | Assembly of Iron kills (Ulduar 25 player)
2875, --  6 | Kologarn kills (Ulduar 25 player)
2882, --  7 | Auriaya kills (Ulduar 25 player)
3256, --  8 | Hodir victories (Ulduar 25 player)
3257, --  9 | Thorim victories (Ulduar 25 player)
3258, -- 10 | Freya victories (Ulduar 25 player)
2879, -- 11 | Mimiron victories (Ulduar 25 player)
2880, -- 12 | General Vezax kills (Ulduar 25 player)
2883, -- 13 | Yogg-Saron kills (Ulduar 25 player)
2881  -- 14 | Algalon the Observer kills (Ulduar 25 player)
}
CharScanner_Data[3][3][3].statisticTotal = #CharScanner_Data[3][3][3].statistic
CharScanner_Data[3][3][3].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Ulduar END                                        --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Crusader (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][4] = {}
CharScanner_Data[3][3][4].name = "TotC25Normal"
CharScanner_Data[3][3][4].achievement = {}
CharScanner_Data[3][3][4].achievement = {
3813, -- 1 | Upper Back Pain (25 player)
3814, -- 2 | Resilience Will Fix It (25 player)
3815, -- 3 | Salt and Pepper (25 player)
3816, -- 4 | The Traitor King (25 player)
3937, -- 5 | Not One, But Two Jormungars (25 player)
3997, -- 6 | Three Sixty Pain Spike (25 player)
3916  -- 7 | Call of the Crusade (25 player)
}
CharScanner_Data[3][3][4].achievementTotal = #CharScanner_Data[3][3][4].achievement
CharScanner_Data[3][3][4].statistic = {}
CharScanner_Data[3][3][4].statistic = {
4031, -- 1 | Victories over the Beasts of Northrend (Trial of the Crusader 25 player)
4034, -- 2 | Lord Jaraxxus kills (Trial of the Crusader 25 player)
4038, -- 3 | Victories over the Faction Champions (Trial of the Crusader 25 player)
4042, -- 4 | Val'kyr Twins kills (Trial of the Crusader 25 player)
4046  -- 5 | Times completed the Trial of the Crusader (25 player)
}
CharScanner_Data[3][3][4].statisticTotal = #CharScanner_Data[3][3][4].statistic
CharScanner_Data[3][3][4].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Crusader (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Grand Crusader (hero) START          --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][5] = {}
CharScanner_Data[3][3][5].name = "TotC25Heroic"
CharScanner_Data[3][3][5].achievement = {}
CharScanner_Data[3][3][5].achievement = {
3812, -- 1 | Call of the Grand Crusade (25 player)
3817, -- 2 | A Tribute to Skill (25 player)
3818, -- 3 | A Tribute to Mad Skill (25 player)
3819  -- 4 | A Tribute to Insanity (25 player)
}
CharScanner_Data[3][3][5].achievementTotal = #CharScanner_Data[3][3][5].achievement
CharScanner_Data[3][3][5].statistic = {}
CharScanner_Data[3][3][5].statistic = {
4029, -- 1 | Victories over the Beasts of Northrend (Trial of the Grand Crusader 25 player)
4035, -- 2 | Lord Jaraxxus kills (Trial of the Grand Crusader 25 player)
4039, -- 3 | Victories over the Faction Champions (Trial of the Grand Crusader 25 player)
4043, -- 4 | Val'kyr Twins kills (Trial of the Grand Crusader 25 player)
4047  -- 5 | Times completed the Trial of the Grand Crusader (25 player)
}
CharScanner_Data[3][3][5].statisticTotal = #CharScanner_Data[3][3][5].statistic
CharScanner_Data[3][3][5].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Trial of the Grand Crusader (hero) END            --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Fall of the Lich King (normal) START              --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][6] = {}
CharScanner_Data[3][3][6].name = "FotLK25Normal"
CharScanner_Data[3][3][6].achievement = {}
CharScanner_Data[3][3][6].achievement = {
4610, --  1 | Boned (25 player) -- added (Patch 3.3.0.10958)
4611, --  2 | Full House (25 player) -- added (Patch 3.3.0.10958)
4612, --  3 | I'm on a Boat (25 player) -- added (Patch 3.3.0.10958)
4613, --  4 | I've Gone and Made a Mess (25 player) -- added (Patch 3.3.0.10958)
4614, --  5 | Dances with Oozes (25 player) -- added (Patch 3.3.0.10958)
4615, --  6 | Flu Shot Shortage (25 player) -- added (Patch 3.3.0.10958)
4616, --  7 | Nausea, Heartburn, Indigestion... (25 player) -- added (Patch 3.3.0.10958)
4617, --  8 | The Orb Whisperer (25 player) -- added (Patch 3.3.0.10958)
4618, --  9 | Once Bitten, Twice Shy (25 player) -- added (Patch 3.3.0.10958)
4619, -- 10 | Portal Jockey (25 player) -- added (Patch 3.3.0.10958)
4620, -- 11 | All You Can Eat (25 player) -- added (Patch 3.3.0.10958)
4621, -- 12 | Been Waiting a Long Time for This (25 player) -- added (Patch 3.3.0.10958)
4622  -- 13 | Neck-Deep in Vile (25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][3][6].achievementTotal = #CharScanner_Data[3][3][6].achievement
CharScanner_Data[3][3][6].statistic = {}
CharScanner_Data[3][3][6].statistic = {
4641, --  1 | Lord Marrowgar kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4655, --  2 | Lady Deathwhisper kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4660, --  3 | Gunship Battle victories (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4663, --  4 | Deathbringer kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4666, --  5 | Festergut kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4669, --  6 | Rotface kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4678, --  7 | Professor Putricide kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4672, --  8 | Blood Prince Council kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4681, --  9 | Blood Queen Lana'thel kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4675, -- 10 | Valithria Dreamwalker rescues (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4684, -- 11 | Sindragosa kills (Icecrown 25 player) -- added (Patch 3.3.0.10958)
4687  -- 12 | Victories over the Lich King (Icecrown 25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][3][6].statisticTotal = #CharScanner_Data[3][3][6].statistic
CharScanner_Data[3][3][6].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Fall of the Lich King (normal) END                --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Fall of the Lich King (hero) START                --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3][7] = {}
CharScanner_Data[3][3][7].name = "FotLK25Heroic"
CharScanner_Data[3][3][7].achievement = {}
CharScanner_Data[3][3][7].achievement = {
4632, --  1 | Heroic: Storming the Citadel (25 player) -- added (Patch 3.3.0.10958)
4633, --  2 | Heroic: The Plagueworks (25 player) -- added (Patch 3.3.0.10958)
4634, --  3 | Heroic: The Crimson Hall (25 player) -- added (Patch 3.3.0.10958)
4635, --  4 | Heroic: The Frostwing Halls (25 player) -- added (Patch 3.3.0.10958)
4637  --  5 | Heroic: Fall of the Lich King (25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][3][7].achievementTotal = #CharScanner_Data[3][3][7].achievement
CharScanner_Data[3][3][7].statistic = {}
CharScanner_Data[3][3][7].statistic = {
4642, --  1 | Lord Marrowgar kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4656, --  2 | Lady Deathwhisper kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4661, --  3 | Gunship Battle victories (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4664, --  4 | Deathbringer kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4667, --  5 | Festergut kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4670, --  6 | Rotface kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4679, --  7 | Professor Putricide kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4673, --  8 | Blood Prince Council kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4682, --  9 | Blood Queen Lana'thel kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4676, -- 10 | Valithria Dreamwalker rescues (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4685, -- 11 | Sindragosa kills (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
4688  -- 12 | Victories over the Lich King (Heroic Icecrown 25 player) -- added (Patch 3.3.0.10958)
}
CharScanner_Data[3][3][7].statisticTotal = #CharScanner_Data[3][3][7].statistic
CharScanner_Data[3][3][7].sync = false
-- -------------------------------------------------------------------------- --
-- WotLK - 25 player raid - Fall of the Lich King (hero) END                  --
-- -------------------------------------------------------------------------- --
CharScanner_Data[3][3].achievementTotal = 0
CharScanner_Data[3][3].statisticTotal   = 0
for i = 1, #CharScanner_Data[3][3] do
	CharScanner_Data[3][3].achievementTotal = CharScanner_Data[3][3].achievementTotal + CharScanner_Data[3][3][i].achievementTotal
	CharScanner_Data[3][3].statisticTotal   = CharScanner_Data[3][3].statisticTotal   + CharScanner_Data[3][3][i].statisticTotal
end
-- ---------------------------------------------------------------------------------------------- --
-- WotLK - 25 player raid END                                                                   --
-- ---------------------------------------------------------------------------------------------- --

CharScanner_Data[3].achievementTotal = 0
CharScanner_Data[3].statisticTotal = 0
for i = 1, #CharScanner_Data[3] do
	CharScanner_Data[3].achievementTotal = CharScanner_Data[3].achievementTotal + CharScanner_Data[3][i].achievementTotal
	CharScanner_Data[3].statisticTotal   = CharScanner_Data[3].statisticTotal   + CharScanner_Data[3][i].statisticTotal
end

-- ------------------------------------------------------------------------------------------------------------------ --
-- WotLK (Wrath of the Lich King) END                                                                                 --
-- ------------------------------------------------------------------------------------------------------------------ --