-- -------------------------------------------------------------------------- --
-- CharScanner deDE Localization                                              --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --
if GetLocale() ~= "deDE" then return end
CharScanner_Locales:CreateLocaleTable({
-- General
["Please read CharScanner.lua for more information."] = "Bitte CharScanner.lua für zusätzliche Informationen lesen.",
["Scan access via SCAN-Button, Minimap-Button, LDB, Blizzard Interface Options or '/scan' resp. '/scan options'."] = "Scanzugang mittels SCAN-Button, Minikarte-Button, LDB, Blizzard Interface Optionen oder '/scan' bzw. '/scan options'.",

-- InterfaceOptions
["Open GUI"] = "GUI öffnen",
["Show SCAN-Button"] = "SCAN-Button anzeigen",
["buttonshow_desc"] = "Zeigt einen kleinen verschiebbaren SCAN-Button, wenn Dein Ziel ein Spieler ist.",
["Lock SCAN-Button"] = "SCAN-Button sperren",
["Chat output"] = "Chat Ausgabe",
["chat_desc"] = "Zeigt eine Chatnachricht nach einem erfolgreichen Scan.",
["GROUP scan: Show only one chat message"] = "GRUPPEN Scan: Nur eine Chatnachricht anzeigen",
["chatgrp_desc"] = "Zeigt nur eine Chatnachricht am Ende eines GRUPPEN Scans an, statt einer Chatnachricht für jeden gescannten Character.",
["Maximum time for one scan"] = "Maximale Zeit für einen Scan",
["scanduration_desc"] = "Grundeinstellung: 1 Sekunde\n\nWenn die eingestellte Zeit erreicht wird, stoppt der Scan (oder die nächste Einheit wird gescannt während GruppenScan).",
["Minimap-Button"] = "Minikarte-Button",
["minimap_desc"] = "Zeigt einen kleinen verschiebbaren Button an der Minikarte.",

-- single/group scan
["Step"] = "Schritt",
["STOP SCAN"] = "SCAN STOPPEN",
["GroupScan finished!"] = "GruppenScan abgeschlossen!",

-- talents
["No Talents"] = "Keine Talente",

-- gear
["Equipment"] = "Ausrüstung",
["Avg"] = "ø",
["min."] = "min.",
["max."] = "max.",
["%s %s not unsed"] = "%s %s nicht benutzt",
["|4Slot:Slots;"] = "|4Slot:Slots;",
["Base Stats"] = "Basis Stats",

-- stats
["Total"] = "Total",
["Achievements"] = "Erfolge",
["Bosses"] = "Bosse",
["Kills"] = "Kills",
["Time"] = "Zeit",
["iLvl"] = "iLvl",
["T"] = "T", -- short for Tank
["H"] = "H", -- short for Heal
["D"] = "D", -- short for Damage

["Classic"] = "Classic",
["BC"] = "BC",
["WotLK"] = "WotLK",
["hero"] = "Heroische Dungeons",
["raid10p"] = "10 Spieler",
["Naxx10"] = "Naxxramas",-- 10 Spieler
["Other10"] = "Andere",-- 10 Spieler
["Ulduar10"] = "Ulduar",-- 10 Spieler
["TotC10Normal"] = "Prüfung des Kreuzfahrers",-- 10 Spieler
["TotC10Heroic"] = "Prüfung des Obersten Kreuzfahrers",-- 10 Spieler Heroisch
["FotLK10Normal"] = "Sturz des Lichkönigs",-- 10 Spieler
["FotLK10Heroic"] = "Sturz des Lichkönigs (Heroisch)",-- 10 Spieler Heroisch
["raid25p"] = "25 Spieler",
["Naxx25"] = "Naxxramas",-- 25 Spieler
["Other25"] = "Andere",-- 25 Spieler
["Ulduar25"] = "Ulduar",-- 25 Spieler
["TotC25Normal"] = "Prüfung des Kreuzfahrers",-- 25 Spieler
["TotC25Heroic"] = "Prüfung des Obersten Kreuzfahrers",-- 25 Spieler Heroisch
["FotLK25Normal"] = "Sturz des Lichkönigs",-- 25 Spieler
["FotLK25Heroic"] = "Sturz des Lichkönigs (Heroisch)",-- 25 Spieler Heroisch

-- status
["scan"] = "scan",
["Scan incomplete!"] = "Scan unvollständig!",
["Scan is deactivated in combat!"] = "Scan ist während des Kampfes deaktiviert!",
["Please close AchievementFrame!"] = "Bitte AchievementFrame schließen!",
["Target is NOT a player!"] = "Ziel ist KEIN Spieler!",
["Target is NOT in inspect range!"] = "Ziel ist NICHT in Reichweite zum Betrachten!",
["SCANNED AT"] = "GESCANNT UM",

["|4Char:Chars;"] = "|4Char:Chars;",

-- minibutton
["LOCK"] = "SPERREN",
["mover_desc"] = "Mit einem Linksklick kann das Fenster bei gedrückter Maustaste bewegt werden.\n\n'SPERREN' Button klicken um den SCAN-Button gegen versehentliches verschieben zu sperren.\n\nUm die Sperre aufzuheben, musst Du ins CharScanner Optionsmenu (ESC -> Interface -> AddOns -> CharScanner) und 'SCAN-Button sperren' deaktivieren.",

-- minioptions
["SingleScan"] = "Single Scan",
["GroupScanAdd"] = "Gruppen Scan (hinzufügen)",
["GroupScan"] = "Gruppen Scan (neu)",
["Options"] = "Optionen",
})