-- -------------------------------------------------------------------------- --
-- CharScanner DEFAULT (english) Localization                                 --
-- Please make sure to save this file as UTF-8. ¶                             --
-- -------------------------------------------------------------------------- --

CharScanner_Locales = {
-- General
["Please read CharScanner.lua for more information."] = true,
["Scan access via SCAN-Button, Minimap-Button, LDB, Blizzard Interface Options or '/scan' resp. '/scan options'."] = true,

-- InterfaceOptions
["Open GUI"] = true,
["Show SCAN-Button"] = true,
["buttonshow_desc"] = "Shows a small movable SCAN-Button if your target is a player.",
["Lock SCAN-Button"] = true,
["Chat output"] = true,
["chat_desc"] = "Shows a chat message after a successful scan.",
["GROUP scan: Show only one chat message"] = true,
["chatgrp_desc"] = "Shows only one chat message at the end of a GROUP scan instead of a chat message for each scanned character.",
["Maximum time for one scan"] = true,
["scanduration_desc"] = "Default: 1 Second\n\nIf adjusted time is reached the scan stops (or the next unit is scanned in GroupScan).",
["Minimap-Button"] = true,
["minimap_desc"] = "Shows a small movable Minimap Button.",

-- single/group scan
["Step"] = true,
["STOP SCAN"] = true,
["GroupScan finished!"] = true,

-- talents
["No Talents"] = true,

-- gear
["Equipment"] = true,
["Avg"] = "ø",
["min."] = true,
["max."] = true,
["%s %s not unsed"] = true,
["|4Slot:Slots;"] = true,
["Base Stats"] = true,

-- stats
["Total"] = true,
["Achievements"] = true,
["Bosses"] = true,
["Kills"] = true,
["Time"] = true,
["iLvl"] = true,
["T"] = true, -- short for Tank
["H"] = true, -- short for Heal
["D"] = true, -- short for Damage

["Classic"] = "Classic",
["BC"] = "BC",
["WotLK"] = "WotLK",
["hero"] = "Heroic Dungeons",
["raid10p"] = "10 player",
["Naxx10"] = "Naxxramas",-- 10 player
["Other10"] = "Other",-- 10 player
["Ulduar10"] = "Ulduar",-- 10 player
["TotC10Normal"] = "Trial of the Crusader",-- 10 player
["TotC10Heroic"] = "Trial of the Grand Crusader",-- 10 player Heroic
["FotLK10Normal"] = "Fall of the Lich King",-- 10 player
["FotLK10Heroic"] = "Fall of the Lich King (Heroic)",-- 10 player Heroic
["raid25p"] = "25 player",
["Naxx25"] = "Naxxramas",-- 25 player
["Other25"] = "Other",-- 25 player
["Ulduar25"] = "Ulduar",-- 25 player
["TotC25Normal"] = "Trial of the Crusader",-- 25 player
["TotC25Heroic"] = "Trial of the Grand Crusader",-- 25 player Heroic
["FotLK25Normal"] = "Fall of the Lich King",-- 25 player
["FotLK25Heroic"] = "Fall of the Lich King (Heroic)",-- 25 player Heroic

-- status
["scan"] = true,
["Scan incomplete!"] = true,
["Scan is deactivated in combat!"] = true,
["Please close AchievementFrame!"] = true,
["Target is NOT a player!"] = true,
["Target is NOT in inspect range!"] = true,
["SCANNED AT"] = true,

["|4Char:Chars;"] = true,

-- minibutton
["LOCK"] = true,
["mover_desc"] = "Left-click and drag to move the SCAN-Button.\n\nClick the 'LOCK' Button to lock the SCAN-Button.\n\nTo unlock you need to go to the CharScanner options menu (ESC -> Interface -> AddOns -> CharScanner) and disable 'Lock SCAN-Button'.",

-- minioptions
["SingleScan"] = "Single Scan",
["GroupScanAdd"] = "Group Scan (add)",
["GroupScan"] = "Group Scan (new)",
["Options"] = "Options",
}

function CharScanner_Locales:CreateLocaleTable(t)
	for k,v in pairs(t) do
		self[k] = (v == true and k) or v
	end
end

CharScanner_Locales:CreateLocaleTable(CharScanner_Locales)